Update Commit Comment
PATCH/api/v5/repos/:owner/:repo/comments/:id
Request
Path Parameters
owner stringrequired
Repository space address (organization or individual's address path)
repo stringrequired
Repository path (path)
id stringrequired
comment_id
Query Parameters
access_token stringrequired
User authorization code
- application/json
Body
bodystringrequired
comment content
Responses
- 200
Successful Response
Response Headers
- application/json
- Schema
- Example (auto)
- 1
Schema
bodystring
created_atstring
idinteger
target object
object
updated_atstring
user object
idinteger
loginstring
namestring
typestring
{
"body": "string",
"created_at": "string",
"id": 0,
"target": {},
"updated_at": "string",
"user": {
"id": 0,
"login": "string",
"name": "string",
"type": "string"
}
}
Successful Example
{
"body": "",
"created_at": "2024-11-06T09:43:23+08:00",
"id": 1492393,
"target": {},
"updated_at": "2024-11-14T18:44:53+08:00",
"user": {
"id": 496,
"login": "xiaogang",
"name": "xiaogang",
"type": "User"
}
}